import { getGitHubAuthToken } from "get-github-auth-token";
import { Octokit } from "octokit";
async function getGitHub() {
  const auth = await getGitHubAuthToken();
  if (!auth.succeeded) {
    throw new Error("GitHub authentication failed.", {
      cause: auth.error
    });
  }
  const octokit = new Octokit({ auth: auth.token });
  return { auth: auth.token, octokit };
}
export {
  getGitHub
};
//# sourceMappingURL=getGitHub.js.map